import { MinecraftDimensionTypes, world } from '@minecraft/server';
const changeDifficultilyButton = {
    x: 40,
    y: -54,
    z: 21
};
const startMapButton = {
    x: 41,
    y: -54,
    z: 25
};
const changeArenaSelected = {
    x: 39,
    y: -54,
    z: 20
};
const machesLocalizationButton = ({ x, y, z }, block) => {
    return x === block.x && y === block.y && z === block.z;
};
world.afterEvents.buttonPush.subscribe((event) => {
    const { location: blockLocation } = event.block;
    const overworld = world.getDimension(MinecraftDimensionTypes.overworld);
    if (machesLocalizationButton(changeDifficultilyButton, blockLocation)) {
        overworld.runCommand('/scriptevent aa:change_difficulty');
    }
    else if (machesLocalizationButton(startMapButton, blockLocation)) {
        overworld.runCommand('/scriptevent aa:map_situation start');
    }
    else if (machesLocalizationButton(changeArenaSelected, blockLocation)) {
        overworld.runCommand('/scriptevent aa:change_map');
    }
});
