import { getScore, initializeObjectives } from '../scoreboard/scoreboard';
export var ConfigScoreboardsObjectives;
(function (ConfigScoreboardsObjectives) {
    ConfigScoreboardsObjectives["Config"] = "config";
    ConfigScoreboardsObjectives["PlayersDied"] = "playersDied";
    ConfigScoreboardsObjectives["MobsKilled"] = "mobsKilled";
})(ConfigScoreboardsObjectives || (ConfigScoreboardsObjectives = {}));
export var ConfigScoreboardsParticipants;
(function (ConfigScoreboardsParticipants) {
    ConfigScoreboardsParticipants["Difficulty"] = "difficulty";
    ConfigScoreboardsParticipants["MapStarted"] = "mapStarted";
    ConfigScoreboardsParticipants["Timer"] = "timer";
    ConfigScoreboardsParticipants["Level"] = "level";
    ConfigScoreboardsParticipants["Progress"] = "progress";
    ConfigScoreboardsParticipants["LuckyMob"] = "luckyMob";
    ConfigScoreboardsParticipants["SelectedMap"] = "selectedMap";
})(ConfigScoreboardsParticipants || (ConfigScoreboardsParticipants = {}));
export var ConfigDifficultyScoreValues;
(function (ConfigDifficultyScoreValues) {
    ConfigDifficultyScoreValues[ConfigDifficultyScoreValues["Easy"] = 0] = "Easy";
    ConfigDifficultyScoreValues[ConfigDifficultyScoreValues["Medium"] = 1] = "Medium";
    ConfigDifficultyScoreValues[ConfigDifficultyScoreValues["Hard"] = 2] = "Hard";
})(ConfigDifficultyScoreValues || (ConfigDifficultyScoreValues = {}));
export var ConfigStartedScoreValues;
(function (ConfigStartedScoreValues) {
    ConfigStartedScoreValues[ConfigStartedScoreValues["False"] = 0] = "False";
    ConfigStartedScoreValues[ConfigStartedScoreValues["True"] = 1] = "True";
})(ConfigStartedScoreValues || (ConfigStartedScoreValues = {}));
export var ConfigSelectedMapScoreValues;
(function (ConfigSelectedMapScoreValues) {
    ConfigSelectedMapScoreValues[ConfigSelectedMapScoreValues["Desert"] = 0] = "Desert";
    ConfigSelectedMapScoreValues[ConfigSelectedMapScoreValues["Nether"] = 1] = "Nether";
    ConfigSelectedMapScoreValues[ConfigSelectedMapScoreValues["AncientCity"] = 2] = "AncientCity";
})(ConfigSelectedMapScoreValues || (ConfigSelectedMapScoreValues = {}));
initializeObjectives({
    objective: {
        id: ConfigScoreboardsObjectives.Config,
        displayName: 'Config'
    },
    participants: [
        {
            name: ConfigScoreboardsParticipants.Difficulty,
            value: ConfigDifficultyScoreValues.Easy
        },
        {
            name: ConfigScoreboardsParticipants.MapStarted,
            value: ConfigStartedScoreValues.False
        },
        {
            name: ConfigScoreboardsParticipants.Timer,
            value: 10
        },
        {
            name: ConfigScoreboardsParticipants.Level,
            value: 1
        },
        {
            name: ConfigScoreboardsParticipants.Progress,
            value: 0
        },
        {
            name: ConfigScoreboardsParticipants.LuckyMob,
            value: 0
        },
        {
            name: ConfigScoreboardsParticipants.SelectedMap,
            value: ConfigSelectedMapScoreValues.Desert
        }
    ]
});
export function mapStarted() {
    return getScore({
        objectiveId: ConfigScoreboardsObjectives.Config,
        participantName: ConfigScoreboardsParticipants.MapStarted
    });
}
initializeObjectives({
    objective: {
        id: ConfigScoreboardsObjectives.PlayersDied,
        displayName: 'Players Died'
    },
    participants: []
});
initializeObjectives({
    objective: {
        id: ConfigScoreboardsObjectives.MobsKilled,
        displayName: 'Mobs Killed'
    },
    participants: []
});
