import { ItemStack, MinecraftDimensionTypes, world } from '@minecraft/server';
import { ConfigScoreboardsObjectives, ConfigScoreboardsParticipants } from 'config/scoreboards';
import { ArenaLocation } from 'config/variables';
import { getScore } from 'scoreboard/scoreboard';
import { getRandomInt } from 'utils';
world.afterEvents.playerBreakBlock.subscribe((event) => {
    const currentArena = getScore({
        objectiveId: ConfigScoreboardsObjectives.Config,
        participantName: ConfigScoreboardsParticipants.SelectedMap
    });
    const LUCKY_DROPS = [
        new ItemStack('minecraft:iron_sword'),
        new ItemStack('minecraft:diamond_sword'),
        new ItemStack('minecraft:netherite_sword'),
        new ItemStack('minecraft:bow'),
        new ItemStack('minecraft:arrow', 20),
        new ItemStack('minecraft:golden_apple'),
        new ItemStack('minecraft:enchanted_golden_apple'),
        new ItemStack('minecraft:shield'),
        new ItemStack('minecraft:diamond_sword', 1),
        new ItemStack('minecraft:netherite_sword', 1),
        new ItemStack('minecraft:diamond_helmet', 1),
        new ItemStack('minecraft:diamond_chestplate', 1),
        new ItemStack('minecraft:diamond_leggings', 1),
        new ItemStack('minecraft:diamond_boots', 1),
        new ItemStack('minecraft:netherite_helmet', 1),
        new ItemStack('minecraft:netherite_chestplate', 1),
        new ItemStack('minecraft:netherite_leggings', 1),
        new ItemStack('minecraft:netherite_boots', 1),
        '/effect @p strength 60 2',
        '/effect @p speed 60 2',
        '/effect @p regeneration 15 2',
        '/effect @e[type=!minecraft:player] slowness 10 2',
        `/tp @p ${ArenaLocation[currentArena].x} ${ArenaLocation[currentArena].y} ${ArenaLocation[currentArena].z}`,
        '/scoreboard players add timer config 15',
        '/execute as @e[type=!player,type=!item] at @s run tp ~ ~10 ~',
        '/structure load aa:postionHealing',
        '/structure load aa:netherite_chestplace_p2',
        '/structure load aa:netherite_leggings_p2',
        '/structure load aa:netherite_helmet_p2',
        '/structure load aa:diamond_helmet_p2',
        '/structure load aa:diamond_boots_p2',
        '/structure load aa:diamond_chestplace_p2',
        '/summon aa:barrel_tnt'
    ];
    if (event.itemStackAfterBreak?.typeId === 'minecraft:barrier')
        return;
    if (!event.brokenBlockPermutation.matches('aa:lucky_block'))
        return;
    const { x, y, z } = event.block;
    const overworld = world.getDimension(MinecraftDimensionTypes.overworld);
    const randomDrop = getRandomInt(0, LUCKY_DROPS.length - 1);
    const drop = LUCKY_DROPS[randomDrop];
    if (drop instanceof ItemStack) {
        overworld.spawnItem(drop, event.block.location);
    }
    else {
        if (drop.includes('/structure') || drop.includes('/summon'))
            overworld.runCommand(drop + ` ${x} ${y} ${z}`);
        else
            overworld.runCommand(drop);
    }
});
