import { MinecraftDimensionTypes, system, world } from '@minecraft/server';
import { convertSecondsInBedrockTicket, getRandomInt } from '../../utils';
import { ConfigScoreboardsObjectives, ConfigScoreboardsParticipants, mapStarted } from 'config/scoreboards';
import { AvaliableRange } from 'config/variables';
import { getScore } from 'scoreboard/scoreboard';
const lucky_parachute_z = [-41, -29, -9];
system.runInterval(() => {
    if (!mapStarted())
        return;
    const currentArena = getScore({
        objectiveId: ConfigScoreboardsObjectives.Config,
        participantName: ConfigScoreboardsParticipants.SelectedMap
    });
    const coordinate = randomCoordinates(currentArena);
    const overworld = world.getDimension(MinecraftDimensionTypes.overworld);
    if (typeof world.getPlayers()[0] === 'undefined')
        return;
    const lucky_parachute = overworld.spawnEntity('aa:lucky_parachute', {
        x: coordinate.x,
        y: lucky_parachute_z[currentArena],
        z: coordinate.z
    });
    lucky_parachute.addTag('wave_mob');
    overworld.runCommand('/effect @e[type=aa:lucky_parachute] slow_falling 99 10 true');
    world.sendMessage('§eLucky Supplements');
}, convertSecondsInBedrockTicket(30));
function randomCoordinates(currentArena) {
    return {
        x: getRandomInt(AvaliableRange.arenas[currentArena].x.x1, AvaliableRange.arenas[currentArena].x.x2),
        z: getRandomInt(AvaliableRange.arenas[currentArena].z.z1, AvaliableRange.arenas[currentArena].z.z2)
    };
}
