import { GameMode, MinecraftDimensionTypes, world } from '@minecraft/server';
import { ConfigScoreboardsObjectives, mapStarted } from 'config/scoreboards';
import { PlayerTags } from 'config/tags';
import { LobbyLocation } from 'config/variables';
import { addParticipant } from 'scoreboard/scoreboard';
world.afterEvents.entityDie.subscribe((event) => {
    const { deadEntity } = event;
    if (deadEntity.typeId !== 'minecraft:player' || !mapStarted())
        return;
    deadEntity.runCommand(`/gamemode ${GameMode.spectator} @s`);
    deadEntity.addTag(PlayerTags.Died);
    const players = world.getAllPlayers();
    const allPlayersDied = players.every((player) => player.hasTag(PlayerTags.Died));
    if (allPlayersDied) {
        players[0].runCommand('/scriptevent aa:map_situation stop');
        players[0].runCommand('/title @a title §c§lYou Died');
        world.sendMessage('§c§lYou Died');
        world
            .getDimension(MinecraftDimensionTypes.overworld)
            .runCommand(`/gamemode ${GameMode.adventure} @a`);
        players.forEach((player) => player.teleport(LobbyLocation));
        return;
    }
    deadEntity.runCommand('/clear @s');
    addParticipant({
        objectiveId: ConfigScoreboardsObjectives.PlayersDied,
        participant: {
            name: deadEntity.name,
            value: 10
        }
    });
});
