import './resetTimerEntitieDie';
import { MinecraftDimensionTypes, system, world } from '@minecraft/server';
import { ConfigScoreboardsObjectives, ConfigScoreboardsParticipants, mapStarted } from 'config/scoreboards';
import { PlayerTags } from 'config/tags';
import { getScore, setScore } from 'scoreboard/scoreboard';
system.runInterval(() => {
    if (!mapStarted())
        return;
    const overworld = world.getDimension(MinecraftDimensionTypes.overworld);
    const time = getScore({
        objectiveId: ConfigScoreboardsObjectives.Config,
        participantName: ConfigScoreboardsParticipants.Timer
    });
    if (time === null)
        return;
    setScore({
        objectiveId: ConfigScoreboardsObjectives.Config,
        participant: {
            name: ConfigScoreboardsParticipants.Timer,
            value: time - 1
        }
    });
    overworld.runCommand(`/title @a[tag=!${PlayerTags.Died}] actionbar ${colorTime(time)}`);
    if (time === 0) {
        overworld.runCommand(`/title @a[tag=!${PlayerTags.Died}] actionbar §l§4CLOCK`);
        world.getAllPlayers().forEach((player) => {
            if (!player.hasTag(PlayerTags.Died)) {
                player.applyDamage(8);
            }
        });
        setScore({
            objectiveId: ConfigScoreboardsObjectives.Config,
            participant: {
                name: ConfigScoreboardsParticipants.Timer,
                value: 10
            }
        });
    }
}, 20);
function colorTime(time) {
    if (time <= 3) {
        return '§c' + time;
    }
    else if (time <= 6) {
        return '§e' + time;
    }
    else {
        return '§a' + time;
    }
}
