import { GameMode, system, world } from '@minecraft/server';
import { ConfigScoreboardsObjectives, ConfigScoreboardsParticipants, mapStarted } from 'config/scoreboards';
import { PlayerTags } from 'config/tags';
import { ArenaLocation } from 'config/variables';
import { getScore, setScore } from 'scoreboard/scoreboard';
import { getEquipaments } from 'scriptEvents/mapSituation';
system.runInterval(() => {
    if (!mapStarted())
        return;
    const currentArena = getScore({
        objectiveId: ConfigScoreboardsObjectives.Config,
        participantName: ConfigScoreboardsParticipants.SelectedMap
    });
    const playersDied = world.getPlayers({
        gameMode: GameMode.spectator
    });
    playersDied.forEach((player) => {
        const timerPlayerDied = getScore({
            objectiveId: ConfigScoreboardsObjectives.PlayersDied,
            participantName: player.name
        });
        if (timerPlayerDied === 0) {
            getEquipaments(player.id);
            player.teleport(ArenaLocation[currentArena]);
            player.runCommand(`/gamemode ${GameMode.adventure}`);
            player.removeTag(PlayerTags.Died);
        }
        else {
            player.runCommand(`/title @s actionbar revive in ${timerPlayerDied}`);
            setScore({
                objectiveId: ConfigScoreboardsObjectives.PlayersDied,
                participant: {
                    name: player.name,
                    value: timerPlayerDied - 1
                }
            });
        }
    });
}, 20);
