//This file exist because stable api not have some properties, so I have create some workarounds
import { ConfigScoreboardsObjectives, ConfigScoreboardsParticipants, mapStarted } from './config/scoreboards';
import { system, world } from '@minecraft/server';
import { PlayerTags } from './config/tags';
import { ArenaLocation, AvaliableRange, LobbyLocation } from './config/variables';
import { getScore } from 'scoreboard/scoreboard';
system.runInterval(() => {
    removePlayerFromArenaWhenAllPlayersDied();
    teleportAllPlayerForCurrentArena();
});
function removePlayerFromArenaWhenAllPlayersDied() {
    if (mapStarted())
        return;
    const players = world.getPlayers();
    players.forEach((player) => {
        if (player.location.x < AvaliableRange.lobby.x.x1 ||
            player.location.x > AvaliableRange.lobby.x.x2 ||
            player.location.z < AvaliableRange.lobby.z.z1 ||
            player.location.z > AvaliableRange.lobby.z.z2) {
            //! is in arena
            player.teleport(LobbyLocation);
        }
    });
}
function teleportAllPlayerForCurrentArena() {
    if (!mapStarted())
        return;
    const livePlayers = world
        .getAllPlayers()
        .filter((player) => !player.hasTag(PlayerTags.Died));
    const currentArena = getScore({
        objectiveId: ConfigScoreboardsObjectives.Config,
        participantName: ConfigScoreboardsParticipants.SelectedMap
    });
    livePlayers.forEach((livePlayer) => {
        const { x: { x1, x2 }, z: { z1, z2 } } = AvaliableRange.arenas[currentArena];
        const marginToCompleteMap = 12;
        if (livePlayer.location.x < x1 - marginToCompleteMap ||
            livePlayer.location.x > x2 + marginToCompleteMap ||
            livePlayer.location.z < z1 - marginToCompleteMap ||
            livePlayer.location.z > z2 + marginToCompleteMap) {
            livePlayer.teleport(ArenaLocation[currentArena]);
        }
    });
}
