import { MinecraftDimensionTypes, world } from '@minecraft/server';
import { getScore, setScore } from '../scoreboard/scoreboard';
import { ConfigScoreboardsObjectives, ConfigScoreboardsParticipants, ConfigSelectedMapScoreValues } from '../config/scoreboards';
const objectiveId = ConfigScoreboardsObjectives.Config;
const participantName = ConfigScoreboardsParticipants.SelectedMap;
export const changeArena = () => {
    const overworld = world.getDimension(MinecraftDimensionTypes.overworld);
    const currentMap = getScore({
        objectiveId,
        participantName
    });
    let message = '';
    if (ConfigSelectedMapScoreValues.Desert === currentMap)
        message = '§cNether';
    else if (ConfigSelectedMapScoreValues.Nether === currentMap)
        message = '§bAncient City';
    else
        message = '§eDesert';
    switch (message) {
        case '§eDesert':
            setScore({
                objectiveId,
                participant: {
                    name: participantName,
                    value: ConfigSelectedMapScoreValues.Desert
                }
            });
            overworld.runCommand('/setblock 39 -54 19 sand replace');
            break;
        case '§cNether':
            setScore({
                objectiveId,
                participant: {
                    name: participantName,
                    value: ConfigSelectedMapScoreValues.Nether
                }
            });
            overworld.runCommand('/setblock 39 -54 19 netherrack replace');
            break;
        case '§bAncient City':
            setScore({
                objectiveId,
                participant: {
                    name: participantName,
                    value: ConfigSelectedMapScoreValues.AncientCity
                }
            });
            overworld.runCommand('/setblock 39 -54 19 sculk replace');
            break;
    }
    world
        .getDimension(MinecraftDimensionTypes.overworld)
        .runCommand(`/title @a actionbar ${message}`);
};
