import { MinecraftDimensionTypes, world } from '@minecraft/server';
import { getScore, setScore } from '../scoreboard/scoreboard';
import { ConfigScoreboardsObjectives, ConfigScoreboardsParticipants, ConfigDifficultyScoreValues } from '../config/scoreboards';
const objectiveId = ConfigScoreboardsObjectives.Config;
const participantName = ConfigScoreboardsParticipants.Difficulty;
export const changeDifficultily = () => {
    const overworld = world.getDimension(MinecraftDimensionTypes.overworld);
    const difficulty = getScore({
        objectiveId,
        participantName
    });
    let triggerPlayerEvent;
    let message = '';
    if (ConfigDifficultyScoreValues.Easy === difficulty)
        message = 'medium';
    else if (ConfigDifficultyScoreValues.Medium === difficulty)
        message = 'hard';
    else
        message = 'easy';
    switch (message) {
        case 'hard':
            setScore({
                objectiveId,
                participant: {
                    name: participantName,
                    value: ConfigDifficultyScoreValues.Hard
                }
            });
            overworld.runCommand('/setblock 41 -54 21 red_concrete replace');
            triggerPlayerEvent = 'aa:hard_mode';
            break;
        case 'medium':
            setScore({
                objectiveId,
                participant: {
                    name: participantName,
                    value: ConfigDifficultyScoreValues.Medium
                }
            });
            overworld.runCommand('/setblock 41 -54 21 yellow_concrete replace');
            triggerPlayerEvent = 'aa:medium_mode';
            break;
        case 'easy':
            setScore({
                objectiveId,
                participant: {
                    name: participantName,
                    value: ConfigDifficultyScoreValues.Easy
                }
            });
            overworld.runCommand('/setblock 41 -54 21 green_concrete replace');
            triggerPlayerEvent = 'aa:easy_mode';
            break;
    }
    world
        .getDimension(MinecraftDimensionTypes.overworld)
        .runCommand(`/title @a actionbar ${getColor(message) + message}`);
    world
        .getAllPlayers()
        .forEach((player) => player.triggerEvent(triggerPlayerEvent));
};
function getColor(message) {
    if (message === 'hard')
        return '§c';
    else if (message === 'medium')
        return '§e';
    else
        return '§a';
}
